Bug 230802 - (perl-Callback) Review Request: perl-Callback - Object interface for function callbacks
Review Request: perl-Callback - Object interface for function callbacks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 18:09 EST by Madhavprasad Pai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-02 13:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Madhavprasad Pai 2007-03-02 18:09:26 EST
Spec URL: http://people.redhat.com/mkpai/.SPEC/perl-Callback.spec
SRPM URL: http://people.redhat.com/mkpai/.SRPM/perl-Callback-1.06-1.src.rpm
Description: Object interface for function callbacks
Comment 1 Madhavprasad Pai 2007-03-05 05:08:30 EST
I need a sponsor.
Comment 2 Ralf Corsepius 2007-03-05 06:45:48 EST
MUSTFIX:
...
License:        CHECK(GPL or Artistic)
...

The license of this package isn't clear to me:

All I can find inside of the sources is this:

   Copyright (C) 1994, 2000, 2002 David Muir Sharnoff. All rights reserved.
    License hearby granted for anyone to use this module at their own risk.
    Please feed useful changes back to muir@idiom.com.

This is not the standard Perl "GPL or Artistic" license, but something
different. In particular, this only covers usage ("use"), but doesn't cover
"modification".

I'd suggest you to contact the author.
Comment 3 Madhavprasad Pai 2007-03-16 04:57:02 EDT
David Muir has updated the package.
The new license is as follows:

<snip>
COPYRIGHT
    Copyright (C) 1994, 2000, 2002 David Muir Sharnoff. All rights reserved.
    This module may be licensed on the same terms as Perl itself.
</snip>

The new spec file is at http://people.redhat.com/mkpai/.SPEC/perl-Callback.spec
The new srpm is at http://people.redhat.com/mkpai/.SRPM/perl-Callback-1.07-1.src.rpm
Comment 4 Chris Weyl 2007-04-08 13:51:51 EDT
While cpanspec does an excellent job creating a base specfile, it still needs
some tweaks:

* the license tag should be corrected
* due to the impending perl/perl-devel split, you should buildrequires
perl(ExtUtils::MakeMaker)
Comment 5 Jason Tibbitts 2007-05-16 00:26:46 EDT
Anything happening here?  It's a always a good idea to respond to reviewer
comments as quickly as possible, but it's especially important if you require
sponsorship.
Comment 6 Jason Tibbitts 2007-05-24 13:47:49 EDT
Well, it's been more than another week.  I'll close this bug soon if there's no
further response.
Comment 7 Madhavprasad Pai 2007-05-25 05:53:24 EDT
I am terribly sorry for not updating this BZ earlier. This won't happen again.

I have made the suggested modifications to the spec file and created a new
source rpm. The revised files are at the available at the above locations.
Comment 8 Madhavprasad Pai 2007-05-25 05:55:50 EDT
A clarification is in order here.

The spec file is at http://people.redhat.com/mkpai/.SPEC/perl-Callback.spec 
The souce rpm is at
http://people.redhat.com/mkpai/.SRPM/perl-Callback-1.07-1.src.rpm .
Comment 9 Jason Tibbitts 2007-06-03 19:57:06 EDT
Usually we use "GPL or Artistic" to indicate the regular license of Perl
modules.  Looking through my CVS tree, I don't see any using a slash as you've
done, but I suppose it's not really incorrect.

I think you should have a build requirement on perl(Storable), so that you'll
still get complete test coverage in case it gets split out of the main perl package.

Review:
* source files match upstream:
   8d430c74986862f4ea5e7121aaf40be72437fa2df5242c57671f35871a0d7a4d  
   Callback-1.07.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
? BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Callback) = 1.07
   perl-Callback = 1.07-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(UNIVERSAL)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=19,  0 wallclock secs ( 0.09 cusr +  0.06 csys =  0.15 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 10 Madhavprasad Pai 2007-06-04 11:24:45 EDT
>I think you should have a build requirement on perl(Storable), so that you'll
>still get complete test coverage in case it gets split out of the main perl
>package.

I have changed the spec file as per this suggestion.

The spec file is at http://people.redhat.com/mkpai/.SPEC/perl-Callback.spec
The source rpm is http://people.redhat.com/mkpai/.SRPM/perl-Callback-1.07-1.src.rpm


Comment 11 Jason Tibbitts 2007-06-06 18:36:00 EDT
OK, looks good to me.

APPROVED

Note that you're currently up to the "Get a Fedora Account" step of
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 12 Jason Tibbitts 2007-06-14 15:23:58 EDT
Ping?
Comment 13 Madhavprasad Pai 2007-06-20 10:34:34 EDT
I have joined PackageMaintainers
Thank you
Comment 14 Jason Tibbitts 2007-06-20 12:57:44 EDT
I've already approved this package, so you're currently either at the "Install
the Build-System Client Tools" or maybe "Add Package to CVS and Set Owner" step
of http://fedoraproject.org/wiki/PackageMaintainers/Join

Comment 15 Madhavprasad Pai 2007-06-30 23:11:11 EDT
Hi Jason,

I am having some trouble with my privileges. I am working on it at the moment.

Thanks and regards,
-- Pai
Comment 16 Madhavprasad Pai 2007-07-06 07:19:25 EDT
New Package CVS Request
=======================
Package Name: perl-Callback
Short Description: Object interface for function callbacks
Owners: M.K.Pai, David Muir
Branches: FC-6 FC-7
InitialCC: muir@idiom.com
Comment 17 Kevin Fenzi 2007-07-06 14:02:21 EDT
Can you resubmit your request with email addresses in the Owners: field?
Thats the format the cvs scripts expect. 
Comment 18 Madhavprasad Pai 2007-07-09 03:51:21 EDT
New Package CVS Request
=======================
Package Name: perl-Callback
Short Description: Object interface for function callbacks
Owners: mkpai@redhat.com,muir@idiom.com
Branches: FC-6 FC-7
InitialCC: 
Comment 19 Jason Tibbitts 2007-07-19 20:39:14 EDT
Any reason this hasn't been built yet?
Comment 20 Madhavprasad Pai 2007-07-20 07:55:17 EDT
Hi Jason, 

I have successfully built the package for devel. But I have some problems with
the  FC-6 and F-7 branches. Its the same error. I have attached the session below.

[mkpai@mkpai FC-6]$ make upload FILES=Callback-1.07.tar.gz 

Checking : Callback-1.07.tar.gz on
https://cvs.fedoraproject.org/repo/pkgs/upload.cgi...
This file (270e8cde126409c45294886d34b17408  Callback-1.07.tar.gz) is already
uploaded

Source upload succeeded. Don't forget to commit the new ./sources file
M sources
M .cvsignore
[mkpai@mkpai FC-6]$ make upload FILES=perl-Callback.spec 

Checking : perl-Callback.spec on
https://cvs.fedoraproject.org/repo/pkgs/upload.cgi...
This file (74d114962ff13c080befd96c74a543b9  perl-Callback.spec) is already uploaded

Source upload succeeded. Don't forget to commit the new ./sources file
M sources
M .cvsignore
[mkpai@mkpai FC-6]$ cvs commit
cvs commit: Examining .
**** Access allowed: mkpai is in ACL for rpms/perl-Callback/FC-6.
Checking in .cvsignore;
/cvs/pkgs/rpms/perl-Callback/FC-6/.cvsignore,v  <--  .cvsignore
new revision: 1.2; previous revision: 1.1
done
Checking in sources;
/cvs/pkgs/rpms/perl-Callback/FC-6/sources,v  <--  sources
new revision: 1.2; previous revision: 1.1
done
Running syncmail...
Mailing cvsextras@fedora.redhat.com mkpai@redhat.com...
...syncmail done.
cvs diff: [11:47:33] waiting for mkpai's lock in /cvs/pkgs/rpms/perl-Callback/FC-6
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
cvs diff: [11:48:03] obtained lock in /cvs/pkgs/rpms/perl-Callback/FC-6
[mkpai@mkpai FC-6]$ make tag
cvs tag  -c perl-Callback-1_07-1_fc6
cvs tag: Tagging .
T .cvsignore
T Makefile
T branch
T sources
Tagged with: perl-Callback-1_07-1_fc6

[mkpai@mkpai FC-6]$ make build
perl-Callback.spec not tagged with tag perl-Callback-1_07-1_fc6
make: *** [build-check] Error 1

The error with the F-7 branch is the same. What should I do ?

Thanks for your patience,
-- Pai
Comment 21 Jason Tibbitts 2007-07-20 11:13:56 EDT
It doesn't look to me like you've even imported your sources to the F-7 and FC-6
branches.  A checkout doesn't show spec files there.  How did you import your
package?
Comment 22 Madhavprasad Pai 2007-07-23 02:14:49 EDT
I followed the procedure at
http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess
and successfully imported for the devel branch.

If I am required to do something else for FC-6 and F-7, please tell me what it
is. I will update the wiki accordingly.

Thanks,
-- Pai
Comment 23 Jason Tibbitts 2007-07-23 12:22:20 EDT
Well, all you're required to do for the release branches is described in step 11
of that document; I see nothing incorrect there that would need to be updated.
Comment 24 Madhavprasad Pai 2007-07-25 07:51:41 EDT
I had omitted to cvs add the spec file after copying. That was the problem. The
packages have been built now.

Please let me know if I should now close this BZ.

Thanks a lot again.
-- Pai
Comment 25 Jason Tibbitts 2007-07-27 17:51:49 EDT
You should close this ticket once the package is built and pushed to the repos.
 Bodhi will do this for you if you reference the ticket number when you create
the push request.
Comment 26 Jason Tibbitts 2007-08-25 12:56:01 EDT
So it's been another month; this package is in rawhide and was built for but
never pushed to F7.  Do you need help getting your package released?  Or can you
close this ticket?
Comment 27 Madhavprasad Pai 2007-08-27 08:00:55 EDT
I am surprised this has not been pushed yet. I got the following mail from
updates@fedoraproject.org on 30th July.

...

mkpai has submitted a new update for Fedora 7

================================================================================
  perl-Callback-1.07-1.fc7
================================================================================
    Release: Fedora 7
     Status: pending
       Type: bugfix
      Notes: Object interface for function callbacks
  Submitter: mkpai
  Submitted: 2007-07-30 05:58:33
Comment 28 Jason Tibbitts 2007-09-02 13:30:11 EDT
The package has now been pushed to F7.  This ticket should be closed by the
submitter, but I see no reason why it should stay open and in the interests of
expediency and keeping my overly long open ticket list down I'll go ahead and
close this myself.

Note You need to log in before you can comment on or make changes to this bug.